Profiles¶
List 1¶
GET /sympheny-app/scenarios/{scenarioGuid}/profiles
Requires a Bearer token. SDK method: client.profiles.list().
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
scenarioGuid |
path | string | yes |
Example request
curl -X GET "https://eu-north-1-api.sympheny.com/sympheny-app/scenarios/{scenarioGuid}/profiles" \
-H "Authorization: Bearer $SYMPHENY_TOKEN"
Responses
| Status | Description | Schema |
|---|---|---|
| 200 | OK | ResponseDtoListProfileResponseDto |
Example response (200)
{
"data": [
{
"id": 0,
"name": "string"
}
],
"status": {
"code": "string",
"desc": "string",
"message": "string"
}
}
Create json¶
POST /sympheny-app/scenarios/{scenarioGuid}/profiles-json
Requires a Bearer token. SDK method: client.profiles.create().
requestDto.values list size must be exactly 8760, with period from 1 to 8760, and positive demandValue
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
scenarioGuid |
path | string | yes |
Request body (ProfileJsonRequestDto)
| Field | Type | Required | Description |
|---|---|---|---|
name |
string | yes | |
values |
array of ProfilePeriodValueDto |
yes |
Example request
curl -X POST "https://eu-north-1-api.sympheny.com/sympheny-app/scenarios/{scenarioGuid}/profiles-json" \
-H "Authorization: Bearer $SYMPHENY_TOKEN" \
-H "Content-Type: application/json" \
-d '{
"name": "string",
"values": [
{
"period": 0,
"demandValue": 0.0
}
]
}'
Responses
| Status | Description | Schema |
|---|---|---|
| 201 | Created | ResponseDtoProfileResponseDto |
Example response (201)
{
"data": {
"id": 0,
"name": "string"
},
"status": {
"code": "string",
"desc": "string",
"message": "string"
}
}
Get¶
GET /sympheny-app/scenarios/{scenarioGuid}/profiles/{profileId}
Requires a Bearer token. SDK method: client.profiles.get().
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
scenarioGuid |
path | string | yes | |
profileId |
path | integer (int64) | yes |
Example request
curl -X GET "https://eu-north-1-api.sympheny.com/sympheny-app/scenarios/{scenarioGuid}/profiles/{profileId}" \
-H "Authorization: Bearer $SYMPHENY_TOKEN"
Responses
| Status | Description | Schema |
|---|---|---|
| 200 | OK | ResponseDtoProfileDetailsResponseDto |
Example response (200)
{
"data": {
"id": 0,
"name": "string",
"values": [
{
"period": 0,
"demandValue": 0.0
}
]
},
"status": {
"code": "string",
"desc": "string",
"message": "string"
}
}
Delete 1¶
DELETE /sympheny-app/scenarios/{scenarioGuid}/profiles/{profileId}
Requires a Bearer token. SDK method: client.profiles.delete().
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
scenarioGuid |
path | string | yes | |
profileId |
path | integer (int64) | yes |
Example request
curl -X DELETE "https://eu-north-1-api.sympheny.com/sympheny-app/scenarios/{scenarioGuid}/profiles/{profileId}" \
-H "Authorization: Bearer $SYMPHENY_TOKEN"
Responses
| Status | Description | Schema |
|---|---|---|
| 201 | Created | — |
Edit json v2¶
PUT /sympheny-app/v2/scenarios/{scenarioGuid}/profiles-json/{profileId}
Requires a Bearer token. SDK method: client.profiles.update().
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
scenarioGuid |
path | string | yes | |
profileId |
path | integer (int64) | yes |
Request body (ProfileDetailsResponseDto)
| Field | Type | Required | Description |
|---|---|---|---|
id |
integer (int64), nullable | no | |
name |
string | yes | |
values |
array of ProfilePeriodValueDto |
yes |
Example request
curl -X PUT "https://eu-north-1-api.sympheny.com/sympheny-app/v2/scenarios/{scenarioGuid}/profiles-json/{profileId}" \
-H "Authorization: Bearer $SYMPHENY_TOKEN" \
-H "Content-Type: application/json" \
-d '{
"id": 0,
"name": "string",
"values": [
{
"period": 0,
"demandValue": 0.0
}
]
}'
Responses
| Status | Description | Schema |
|---|---|---|
| 200 | OK | ResponseDtoProfileDetailsResponseDto |
Example response (200)
{
"data": {
"id": 0,
"name": "string",
"values": [
{
"period": 0,
"demandValue": 0.0
}
]
},
"status": {
"code": "string",
"desc": "string",
"message": "string"
}
}